Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Workbook

    java.lang.Object
      jet.report.xls.Workbook

    public class Workbook

extends java.lang.Object

Constructor Summary
`Workbook(java.lang.String encoding, int buffersize, java.lang.String path)` Creates new Workbook, add GlobalWorkbook to it
`Workbook(java.lang.String encoding, java.lang.String path)`

Method Summary
`void` | `add(Worksheet worksheet)` add a Worksheet to the Workbook
`void` | `free()`
`GlobalWorksheet` | `getGlobalWorksheet()` Get the GlobalWorksheet of the Workbook
`Worksheet` | `getWorksheet(int index)` get Worksheet in the Workbook
`void` | `output(java.io.OutputStream out)` output Workbook, including output WorkbookHeader, Worksheets and WorkbookFooter

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Workbook

    public Workbook(java.lang.String encoding,
                    int buffersize,
                    java.lang.String path)
             throws java.io.IOException

  Creates new Workbook, add GlobalWorkbook to it

  Throws:
    `java.io.IOException`

### Workbook

    public Workbook(java.lang.String encoding,
                    java.lang.String path)
             throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getGlobalWorksheet

    public GlobalWorksheet getGlobalWorksheet()

  Get the GlobalWorksheet of the Workbook

### output

    public void output(java.io.OutputStream out)
                throws java.io.IOException

  output Workbook, including output WorkbookHeader, Worksheets and WorkbookFooter

  Throws:
    `java.io.IOException`

### free

    public void free()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### add

    public void add(Worksheet worksheet)
             throws java.io.IOException

  add a Worksheet to the Workbook

  Throws:
    `java.io.IOException`

### getWorksheet

    public Worksheet getWorksheet(int index)
                           throws java.io.IOException

  get Worksheet in the Workbook

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD